### Virtual Method

# Camel FolderSummary message_info_new_from_parser

#### Declaration [src]

    CamelMessageInfo*
    message_info_new_from_parser (
      CamelFolderSummary* summary,
      CamelMimeParser* parser
    )

#### Description [src]

Create a new info record from a parser. If the parser cannot determine a uid, then none will be assigned.

If indexing is enabled, and the parser cannot determine a new uid, then one is automatically assigned.

If indexing is enabled, then the content will be indexed based on this new uid. In this case, the message info MUST be added using :add().

Once complete, the parser will be positioned at the end of the message.

#### Parameters

`parser`

  Type: `CamelMimeParser`

  A `CamelMimeParser` object.

  The data is owned by the caller of the method.

#### Return value

Type: `CamelMessageInfo`

A newly created `CamelMessageInfo`. Unref it with g_object_unref(), when done with it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.